/**
 * output package name
 */
package com.kingdee.eas.custom.entryconfig.enumlist;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DataTypeEnum extends StringEnum
{
    public static final String SHORT_VALUE = "1";//alias=Short
    public static final String INTEGER_VALUE = "2";//alias=Integer
    public static final String LONG_VALUE = "3";//alias=Long
    public static final String FLOAT_VALUE = "4";//alias=Float
    public static final String DOUBLE_VALUE = "5";//alias=Double
    public static final String DECIMAL_VALUE = "6";//alias=BigDecimal
    public static final String DATE_VALUE = "7";//alias=Date
    public static final String TIME_VALUE = "8";//alias=Time
    public static final String TIMESTAMP_VALUE = "9";//alias=TimeStamp
    public static final String CHAR_VALUE = "10";//alias=Char
    public static final String BOOLEAN_VALUE = "11";//alias=Boolean
    public static final String BYTE_VALUE = "12";//alias=Byte
    public static final String STRING_VALUE = "13";//alias=String
    public static final String BYTEARRAY_VALUE = "14";//alias=ByteArray
    public static final String OBJECTPK_VALUE = "15";//alias=ObjectPK
    public static final String ROWSET_VALUE = "16";//alias=RowSet
    public static final String BOSUUID_VALUE = "17";//alias=BOSUuid
    public static final String UUID_VALUE = "18";//alias=Uuid
    public static final String ENUM_VALUE = "19";//alias=Enum
    public static final String OBJECTVALUE_VALUE = "20";//alias=ObjectValue
    public static final String OBJECTCOLLECTION_VALUE = "21";//alias=ObjectCollection
    public static final String URL_VALUE = "22";//alias=url

    public static final DataTypeEnum SHORT = new DataTypeEnum("SHORT", SHORT_VALUE);
    public static final DataTypeEnum INTEGER = new DataTypeEnum("INTEGER", INTEGER_VALUE);
    public static final DataTypeEnum LONG = new DataTypeEnum("LONG", LONG_VALUE);
    public static final DataTypeEnum FLOAT = new DataTypeEnum("FLOAT", FLOAT_VALUE);
    public static final DataTypeEnum DOUBLE = new DataTypeEnum("DOUBLE", DOUBLE_VALUE);
    public static final DataTypeEnum DECIMAL = new DataTypeEnum("DECIMAL", DECIMAL_VALUE);
    public static final DataTypeEnum DATE = new DataTypeEnum("DATE", DATE_VALUE);
    public static final DataTypeEnum TIME = new DataTypeEnum("TIME", TIME_VALUE);
    public static final DataTypeEnum TIMESTAMP = new DataTypeEnum("TIMESTAMP", TIMESTAMP_VALUE);
    public static final DataTypeEnum CHAR = new DataTypeEnum("CHAR", CHAR_VALUE);
    public static final DataTypeEnum BOOLEAN = new DataTypeEnum("BOOLEAN", BOOLEAN_VALUE);
    public static final DataTypeEnum BYTE = new DataTypeEnum("BYTE", BYTE_VALUE);
    public static final DataTypeEnum STRING = new DataTypeEnum("STRING", STRING_VALUE);
    public static final DataTypeEnum BYTEARRAY = new DataTypeEnum("BYTEARRAY", BYTEARRAY_VALUE);
    public static final DataTypeEnum OBJECTPK = new DataTypeEnum("OBJECTPK", OBJECTPK_VALUE);
    public static final DataTypeEnum ROWSET = new DataTypeEnum("ROWSET", ROWSET_VALUE);
    public static final DataTypeEnum BOSUUID = new DataTypeEnum("BOSUUID", BOSUUID_VALUE);
    public static final DataTypeEnum UUID = new DataTypeEnum("UUID", UUID_VALUE);
    public static final DataTypeEnum ENUM = new DataTypeEnum("ENUM", ENUM_VALUE);
    public static final DataTypeEnum OBJECTVALUE = new DataTypeEnum("OBJECTVALUE", OBJECTVALUE_VALUE);
    public static final DataTypeEnum OBJECTCOLLECTION = new DataTypeEnum("OBJECTCOLLECTION", OBJECTCOLLECTION_VALUE);
    public static final DataTypeEnum URL = new DataTypeEnum("URL", URL_VALUE);

    /**
     * construct function
     * @param String dataTypeEnum
     */
    private DataTypeEnum(String name, String dataTypeEnum)
    {
        super(name, dataTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DataTypeEnum getEnum(String dataTypeEnum)
    {
        return (DataTypeEnum)getEnum(DataTypeEnum.class, dataTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DataTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DataTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DataTypeEnum.class);
    }
}